// CourseList.java
//
// For final project, cs110. 
// Based on example in exam2
// Ethan Bolker  Spring 2004

import java.util.*;

public class CourseList extends WISEList
{
    public CourseList( String name )
    {
	super(name);
    }

    public CourseList( String name, String courseFileName )
	throws WISEException
    {
	super( name, courseFileName );
    } 

    public WISEObject parseLine( StringTokenizer st ) 
	throws WISEException
    {
	return new Course( st );
    }

    public String getHeader( ) 
    {
	return "# *** CS110 WISE ***\n# List of courses\n" + 
	       "#\n# name  time  capacity";
    }
}
