// ProfessorList.java
//
// For final project, cs110. 
// Based on example in exam2
// Ethan Bolker  Spring 2004

import java.util.*;

public class ProfessorList extends WISEList
{
    public ProfessorList( String name )
    {
	super(name);
    }

    public ProfessorList( String name, String professorFileName )
	throws WISEException
    {
	super( name, professorFileName );
    } 

    public WISEObject parseLine( StringTokenizer st ) 
    {
	return new Professor( st );
    }

    public String getHeader( ) 
    {
	return "# *** CS110 WISE ***\n# List of professors\n" + 
	       "#\n# name       teaching load";
    }
}
